<template>
    <div class="modal-list-items" :style="[positions, { 'max-width': `${maxWidth}px`}]">
        <div class="modal-list-items__wrapper">
            <div class="modal-list-items__list" @click="selectItem">
                <div v-for="(item, key) in list" :key="key" class="modal-list-items__item">{{ item }}</div>
            </div>
        </div>
    </div>
</template>

<script>
export default {
    name: 'modal-list-items',
    props: {
        positions: {
            type: Object,
            default() {
                return {
                    right: 0,
                    top: 0
                };
            }
        },
        list: {
            type: Array,
            required: true
        },
        maxWidth: {
            type: Number,
            default: 270
        }
    },
    methods: {
        selectItem(e) {
            const value = e.target.innerText;
            this.$emit('selected', value);
        }
    }
};
</script>

<style lang="sass">
@import "~assets/blocks/modal-list-items/index"
</style>
